#!/bin/bash

# check that python is installed
if ! [ -x "$(command -v python)" ]; then
  echo 'Error: python is not installed. Please install it to continue.' >&2
  exit 1
fi

# check that java is installed
if ! [ -x "$(command -v java)" ]; then
  echo 'Error: java is not installed. Please install it to continue.' >&2
  exit 1
fi

# check that multimc is installed
if ! [ -x "$(command -v multimc)" ]; then
  echo 'Error: multimc is not installed. Please install it to continue.' >&2
  exit 1
fi

if ! [ -d .venv ]; then python -m venv .venv; fi

source .venv/bin/activate &>/dev/null

python -m pip install --upgrade pip &>/dev/null
python -m pip install -r requirements.txt &>/dev/null

python ./client.py
